Subject: Re: [PATCH 10/17] bootwrapper: Add dt_set_mac_addresses().

From: Timur Tabi <[email-masked]>
Date: Wed, 21 Mar 2007 14:39:44 -0500

Segher Boessenkool wrote:

> No, I'm saying that you shouldn't use "mac-address" for
> something it isn't meant for.

If the property exists in the device tree, then it should be used, no?  Whether or not it 
exists is not for the driver to decide.

What I hope to do is remove all traces of mac-address from the device trees.  If it's not 
in the DTS, then U-Boot won't add it, bootwrapper won't add it, the kernel won't add it, 
and therefore it won't exist when the driver loads, so the driver won't use it.

> You aren't supposed to have a "mac-address" property for
> devices that weren't used during firmware execution / booting
> _at all_.

I can't tell if we agree or disagree.  Perhaps you should look at the code and tell me 
what needs to be changed?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale